/* global drupalSettings, jQuery */
/* eslint no-undef: "error" */
(function ($) {
  $('span.tweetabletext').each(function (i, e) {
    var text = $(e).text();
    var tweet = $(e).attr('data-tweet');
    var tweetHash = $(e).attr('data-hash');
    if (!tweet) {
      tweet = '';
    }
    if (!tweetHash) {
      tweetHash = '';
    }
    tweet = tweet.replace(/\s/g, '+');
    tweetHash = tweetHash.replace(/\s/g, ',');
    tweetHash = tweetHash.replace(/\#/g, '');
    var totalLength = tweet + ' ' + tweetHash + window.location.href;
    totalLength = totalLength.length;
    if (totalLength > 276) {
      var excess = totalLength - (240 + 3)
      tweet = tweet.substring(0, tweet.length - excess) + '...';
    }
    var template = '';
    var tweetablelogo = '<span id="tweetablelogo"></span>';
    template = '<a target="_blank" class="tweetabletext" href="https://twitter.com/intent/tweet?text=' + tweet + '%0A&url=' + window.location.href + '&hashtags=' + tweetHash + '">' + text + tweetablelogo + '</a>';
    template = $.parseHTML(template);
    if (drupalSettings.tweetable_text_ckeditor.color) {
      $(template).css('background', drupalSettings.tweetable_text_ckeditor.color);
    }
    $(e).html(template)
  })
}(jQuery));
